‘Corona’ iOS 5.0.1 Untethered Jailbreak Released in Cydia by Chronic Dev Team

The Chronic Dev Team has released Corona, a tweak available in Cydia that will untether your tethered iOS 5.0.1 jailbreak (built upon pod2g’s untether work, which was then turned over to them).

You can quickly access, download & install Corona 5.0.1 Untether (Chronic Dev team’s version, packaged in the Cydia store) for your iPhone 4, iPhone 4 (CDMA), iPhone 3GS, iPad 1, iPod Touch 4G & iPod Touch 3G *CURRENTLY RUNNING iOS 5.0.1* by following the steps below:

1. Open the Cydia app on your tethered jailbroken device**
2. Search for “Corona”
3. Hit the “Install” button (as shown in the screen grab below)

This package will allow your 5.0.1 device to install pod2g’s untethered exploits and reboot without requiring an external tool like redsn0w or sn0wbreeze, and without having to restore your device (so you get to keep all your apps, contacts, etc).

This tweak should only be installed if you are on a tethered iOS 5.0.1 jailbreak and want it untethered via Cydia. Now that’s easy!

For those on iOS 5.0.1, use redsn0w for your untethered jailbreak.

Founder and Editor-in-Chief of iPhoneinCanada.ca. Follow me on Twitter, and @iPhoneinCanada, and on Google+.

  • Simransingh101

    im getting a half installed package thing when i try ti install it is there some kind of fix that i can use

  • http://www.iphoneincanada.ca Gary

    Saurik’s servers are probably being slammed right now. I’d try again later.

  • Jstutz

    Cydia was slooooow and did an update after which Cydia would not open and I had to do a tethered reboot. After that, Cydia responded quickly and Corona 5.0.1 Untethered show up in the Search and installed seamlessly. All good with an untethered Jailbreak now. :-)

  • Khoa

    Redsn0w can’t hacktivate anymore?  My poor phone is locked to AT&T.

  • Ycr077

    can i use this with ios 5.0??

  • Ycr077

    When trying to use this with my ios 5.0(9A334) i get this…

  • http://www.iphoneincanada.ca Gary

    The untether is for iOS 5.0.1. No.

  • Ycr077

    so there’s no available untether for ios 5.0?

  • http://www.iphoneincanada.ca Gary

    No

  • Koku_rou142

    does this work for iPadG1 5.0?

  • Screer

    no you need 5.01